import request from '@/utils/request'

// 查询OrderRework列表
export function listOrderRework(query) {
  return request({
    url: '/system/OrderRework/list',
    method: 'get',
    params: query
  })
}

// 查询OrderRework详细
export function getOrderRework(id) {
  return request({
    url: '/system/OrderRework/' + id,
    method: 'get'
  })
}
export function getUserDataList(type) {
  return request({
    url: '/system/transfer/getUsersDataList/'+type,
    method: 'get'
  })
}
// 新增OrderRework
export function addOrderRework(data) {
  return request({
    url: '/system/OrderRework',
    method: 'post',
    data: data
  })
}

// 修改OrderRework
export function updateOrderRework(data) {
  return request({
    url: '/system/OrderRework',
    method: 'put',
    data: data
  })
}

// 删除OrderRework
export function delOrderRework(id) {
  return request({
    url: '/system/OrderRework/' + id,
    method: 'delete'
  })
}
